ch.qos.logback.core.util

## Class CachingDateFormatter

- java.lang.Object
- - ch.qos.logback.core.util.CachingDateFormatter

    public class CachingDateFormatter
    extends java.lang.Object

A synchronized implementation of SimpleDateFormat which uses caching internally.

Since:
  0.9.29
Author:
  Ceki Gücü

### Constructor Summary

Constructors
Constructor and Description
`CachingDateFormatter(java.lang.String pattern)`

### Method Summary

Methods
`java.lang.String` `format(long now)`
`void` `setTimeZone(java.util.TimeZone tz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachingDateFormatter

    public CachingDateFormatter(java.lang.String pattern)

### Method Detail

#### format

    public final java.lang.String format(long now)

#### setTimeZone

    public void setTimeZone(java.util.TimeZone tz)